$avstantso-ui-color-dark: #000 !default;
$avstantso-ui-color-white: #fff !default;
$avstantso-ui-color-gray: #ddd !default;

@mixin no-shadowed {
  background-color: transparent;
  border: none;
  box-shadow: none;
}

@mixin shadowed-raw {
  background-color: $avstantso-ui-color-white;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

@mixin shadowed {
  border: 1px solid $avstantso-ui-color-gray;
  @include shadowed-raw;
}

@mixin shadowed-text {
  color: $avstantso-ui-color-white;
  text-shadow: 1px 1px $avstantso-ui-color-dark;
}

@mixin flex-col {
  display: flex;
  flex-direction: column;
  height: 100%;
}

@mixin flex-row {
  @include flex-col;
  flex-direction: row;
}
